- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::SpatialMOPairIter_eq Class Reference

SpatialMOPairIter_eq gives the ordering of same-spin and different-spin orbital pairs if both orbitals of the pairs are from the same space. More...

`#include <pairiter.h>`

Inheritance diagram for sc::SpatialMOPairIter_eq:

List of all members.

## Public Member Functions
| SpatialMOPairIter_eq (const Ref< MOIndexSpace > &space1)
| Initialize an iterator for the given MO spaces.
void | start (const int ij_offset=0)
| Initialize the iterator assuming that iteration will start with pair ij_offset.
void | next ()
| Move to the next pair.
| operator int () const
| Returns nonzero if the iterator currently hold valid data.
int | nij_aa () const
| Returns the number of functions in alpha-alpha space.
int | nij_ab () const
| Returns the number of functions in alpha-beta space.
int | ij_aa () const
| Returns compound index ij for alpha-alpha case.
int | ij_ab () const
| Returns compound index ij for alpha-beta case.
int | ij_ba () const
| Returns compound index ij for beta-alpha case.

## Detailed Description

SpatialMOPairIter_eq gives the ordering of same-spin and different-spin orbital pairs if both orbitals of the pairs are from the same space.

It iterates over all i >= j combinations (total of (ni_+1)*(ni_+2)/2 pairs).

## Member Function Documentation

int sc::SpatialMOPairIter_eq::ij_aa | ( |  | ) | const`[inline, virtual]`

Returns compound index ij for alpha-alpha case.

The i == j combination doesn't make sense, so ij_aa() will return -1 for such pairs.

Implements sc::SpatialMOPairIter.

The documentation for this class was generated from the following file:

- pairiter.h